Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.search
Class PortalSearchCriteria

    java.lang.Object
      com.bea.netuix.application.search.WebAppSearchCriteria
          com.bea.netuix.application.search.PortalSearchCriteria

All Implemented Interfaces
  SearchCriteria, Serializable

Direct Known Subclasses:
  TemplateSearchCriteria

    public class PortalSearchCriteria

extends WebAppSearchCriteria

A `SearchCriteria` that specifies information for retrieving portal objects.

See Also
  Serialized Form

Constructor Summary
`PortalSearchCriteria(String webAppName)`
`PortalSearchCriteria(String webAppName, PortalPath[] portalPaths)`

Method Summary
`PortalPath[]` | `getPortalPaths()` Get the portal paths to search for.
`protected void` | `init(PortalSearchCriteria portalSearchCriteria)` Uses another `PortalSearchCriteria` to initialize this one
`boolean` | `isPortalPathSearchCriteria()` Returns `true` if portal path is a search criteria.
`void` | `setPortalPaths(PortalPath[] portalPaths)` Set the portal paths to search for.

Methods inherited from class com.bea.netuix.application.search.WebAppSearchCriteria
`getWebAppName, init, isWebAppNameCriteria`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalSearchCriteria

    public PortalSearchCriteria(String webAppName)

Parameters
  `webAppName` - the WebApp to search in.

### PortalSearchCriteria

    public PortalSearchCriteria(String webAppName,
                                PortalPath[] portalPaths)

Parameters
  `webAppName` - the WebApp to search in.
  `portalPaths` - the subsequent search will limit itself to portals with these paths.

Method Detail

### getPortalPaths

    public PortalPath[] getPortalPaths()

  Get the portal paths to search for.

### setPortalPaths

    public void setPortalPaths(PortalPath[] portalPaths)

  Set the portal paths to search for.

### isPortalPathSearchCriteria

    public boolean isPortalPathSearchCriteria()

  Returns `true` if portal path is a search criteria. You can use this method instead of `instanceOf`

  Returns
    `true` if portal path is a search criteria

### init

    protected void init(PortalSearchCriteria portalSearchCriteria)

  Uses another `PortalSearchCriteria` to initialize this one

  Parameters
    `portalSearchCriteria` - the source criteria

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved